Bug 1350280 (CVE-2016-5844) - CVE-2016-5844 libarchive: undefined behaviour (integer overflow) in iso parser
Summary: CVE-2016-5844 libarchive: undefined behaviour (integer overflow) in iso parser
Status: CLOSED ERRATA
Alias: CVE-2016-5844
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160624,reported=2...
Keywords: Security
Depends On: 1352775 1352776 1353065 1353066 1353067 1353068
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-26 23:48 UTC by Doran Moppert
Modified: 2019-06-11 11:13 UTC (History)
3 users (show)

(edit)
Undefined behavior (signed integer overflow) was discovered in libarchive, in the ISO parser.  A crafted file could potentially cause denial of service.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:55:54 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC
Red Hat Product Errata RHSA-2016:1850 normal SHIPPED_LIVE Important: libarchive security update 2016-09-12 23:54:24 UTC

Description Doran Moppert 2016-06-26 23:48:35 UTC
Hanno Böck has disclosed another Undefined Behaviour (signed integer 
overflow) on oss-security:

    http://seclists.org/oss-sec/2016/q2/591

Upstream ticket:

    https://github.com/libarchive/libarchive/issues/717

Upstream fix (released in libarchive-3.2.1):

    https://github.com/libarchive/libarchive/commit/3ad08e0

While the UB exists in 3.2.0, an earlier patch seems to mitigate against 
the issue:

    https://github.com/libarchive/libarchive/commit/e6c9668f

This function is called immediately after the overflow, and will 
immediately reject a negative skipsize with ARCHIVE_FATAL, skipping all 
further processing.

Previous releases up to and including 3.1.2 (including 2.8.3, 2.8.4) do 
not include the mitigation and are thus likely vulnerable.

Comment 1 Doran Moppert 2016-07-05 04:38:39 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]
Affects: epel-5 [bug 1352775]

Comment 3 errata-xmlrpc 2016-09-12 19:56:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1850 https://rhn.redhat.com/errata/RHSA-2016-1850.html

Comment 4 errata-xmlrpc 2016-09-12 20:15:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.